package de.fahsel.dewis;

/**
 * Diese abstrakte Klasse repräsentiert eine Organisation. 
 * 
 * @author Peter Fahsel
 *
 */
public abstract class AbstractOrganisation
{
	private String zps;
	private String  name;

	protected AbstractOrganisation(String zps)
	{
		setZps(zps);
	}

	/**
	 * @return zps der Organisation (Verein oder Verband)
	 */
	public String getZps()
	{
		return zps;
	}
	
	protected void setZps(String zps)
	{
		this.zps = zps;
	}

	/**
	 * Gibt den Namen der Organisation zurück. Durch inkonsitenten Aufbau der API des Schachbundes
	 * ist dieser Wert erst bekannt, nachdem die Details eines Spielers innerhalb der Organisation
	 * geladen wurden.
	 * 
	 * @see Player#loadDetails()
	 * 
	 * @return Name der Organisation (Verein oder Verband)
	 */
	public String getName()
	{
		return name;
	}

	protected void setName(String name)
	{
		this.name = name;
	}
}
